SunClassLoader (Groovy 4.0.10)
Description: declaration: package: org.codehaus.groovy.reflection, class: SunClassLoader

Package org.codehaus.groovy.reflection

# Class SunClassLoader

java.lang.Object
java.lang.ClassLoader
org.codehaus.groovy.reflection.SunClassLoader

Direct Known Subclasses:
  `GroovySunClassLoader`

public class SunClassLoader extends ClassLoader
Special class loader, which when running on Sun VM allows to generate accessor classes for any method

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Map<String,Class>`
  `knownClasses`
  `protected static final SunClassLoader`
  `sunVM`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SunClassLoader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `define(byte[] bytes, String name)`
  `Class`
  `doesKnow(String name)`
  `protected Class`
  `loadClass(String name, boolean resolve)`
  `protected void`
  `loadFromRes(String name)`
  `protected static String`
  `resName(String s)`

  ### Methods inherited from class java.lang.ClassLoader

  `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### knownClasses

    protected final Map<String,Class> knownClasses

  - ### sunVM

    protected static final SunClassLoader sunVM

- ## Constructor Details

  - ### SunClassLoader

    protected SunClassLoader() throws Throwable
    Throws:
      `Throwable`

- ## Method Details

  - ### loadFromRes

    protected void loadFromRes(String name) throws IOException
    Throws:
      `IOException`

  - ### resName

    protected static String resName(String s)

  - ### define

    protected void define(byte[] bytes, String name)

  - ### loadClass

    protected Class loadClass(String name, boolean resolve) throws ClassNotFoundException
    Overrides:
      `loadClass` in class `ClassLoader`
    Throws:
      `ClassNotFoundException`

  - ### doesKnow

    public Class doesKnow(String name)